Module java.desktop
Package javax.print.attribute.standard

## Class JobMessageFromOperator

- java.lang.Object
- - javax.print.attribute.TextSyntax
  - - javax.print.attribute.standard.JobMessageFromOperator

All Implemented Interfaces:
  Serializable, Cloneable, Attribute, PrintJobAttribute

    public final class JobMessageFromOperator
    extends TextSyntax
    implements PrintJobAttribute

Class JobMessageFromOperator is a printing attribute class, a text attribute, that provides a message from an operator, system administrator, or "intelligent" process to indicate to the end user the reasons for modification or other management action taken on a job.

A Print Job's attribute set includes zero instances or one instance of a JobMessageFromOperator attribute, not more than one instance. A new JobMessageFromOperator attribute replaces an existing JobMessageFromOperator attribute, if any. In other words, JobMessageFromOperator is not intended to be a history log. If it wishes, the client can detect changes to a Print Job's JobMessageFromOperator attribute and maintain the client's own history log of the JobMessageFromOperator attribute values.

IPP Compatibility: The string value gives the IPP name value. The locale gives the IPP natural language. The category name returned by `getName()` gives the IPP attribute name.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`JobMessageFromOperator(String message, Locale locale)` Constructs a new job message from operator attribute with the given message and locale.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object object)` Returns whether this job message from operator attribute is equivalent to the passed in object.
`Class<? extends Attribute>` `getCategory()` Get the printing attribute class which is to be used as the "category" for this printing attribute value.
`String` `getName()` Get the name of the category of which this attribute value is an instance.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from class javax.print.attribute.TextSyntax

`getLocale, getValue, hashCode, toString`

### Constructor Detail

#### JobMessageFromOperator

    public JobMessageFromOperator(String message,
                                  Locale locale)

Constructs a new job message from operator attribute with the given message and locale.

Parameters:
  `message` - Message.
  `locale` - Natural language of the text string. null is interpreted to mean the default locale as returned by `Locale.getDefault()`
Throws:
  `NullPointerException` - (unchecked exception) Thrown if `message` is null.

### Method Detail

#### equals

    public boolean equals(Object object)

Returns whether this job message from operator attribute is equivalent to the passed in object. To be equivalent, all of the following conditions must be true:

1. `object` is not null.
2. `object` is an instance of class JobMessageFromOperator.
3. This job message from operator attribute's underlying string and `object`'s underlying string are equal.
4. This job message from operator attribute's locale and `object`'s locale are equal.

Overrides:
  `equals` in class `TextSyntax`
Parameters:
  `object` - Object to compare to.
Returns:
  True if `object` is equivalent to this job message from operator attribute, false otherwise.
See Also:
  `Object.hashCode()`, `HashMap`

#### getCategory

    public final Class<? extends Attribute> getCategory()

Get the printing attribute class which is to be used as the "category" for this printing attribute value.

For class JobMessageFromOperator, the category is class JobMessageFromOperator itself.

Specified by:
  `getCategory` in interface `Attribute`
Returns:
  Printing attribute class (category), an instance of class `java.lang.Class`.

#### getName

    public final String getName()

Get the name of the category of which this attribute value is an instance.

For class JobMessageFromOperator, the category name is `"job-message-from-operator"`.

Specified by:
  `getName` in interface `Attribute`
Returns:
  Attribute category name.